<template>
    <div class="col-sm-4 news" :style="`transition-delay: 1.1s;`">
        <div class="card">
            <div class="images" >
                <img :src="img" class="card-top-img" align="news" />
                <div class="info">
                    {{listIndex + 1}}
                </div>
            </div>
            <div class="card-body">
                <div class="card-title">{{news.title}}</div>
                <router-link :to="`/blog/view/${news.id}`" class="btn btn-default">Подробнее</router-link>
            </div>
        </div>
    </div>
</template>

<script>

    export default {
        name: "NewsCard",
        props: {
            news: {
                type: Object,
                default: {}
            },
            listIndex: Number
        },
        data() {
            return {
                img: '/static/images/image.jpg'
            }
        }
    }
</script>

<style lang="scss" scoped>

    .card {
        box-shadow: 0 0 2px rgba(0,0,0,0.2);
        background: #fff;
        height: 100%;

        .images {
            position: relative;
            width: 100%;
            height: 200px;
            display: flex;
            align-items: center;
            justify-content: center;

            img {
                width: 100%;
                height: 100%;
                object-fit: cover;
            }

            .info {
                position: absolute;
                left: 0;
                bottom: 0;
                width: 100%;
                height: 100%;
                display: flex;
                align-items: center;
                justify-content: center;
                font-size: 48px;
                background: rgba(255,255,255,0.4);
                text-align: right;

                &:empty {
                    display: none;
                }
            }
        }
        .card-body {
            padding: 15px;
            height: calc(100% - 200px);
            display: flex;
            flex-direction: column;

            .card-title {
                margin-bottom: 10px;
                font-size: 16px;
                font-weight: 600;

            }
            .btn {
                margin-top: auto;
                line-height: 40px;
                height: 40px !important;
                font-weight: 600;
            }
        }
    }
</style>